#include <definitions>

/* ********************************************************************** */
/* ***************************    default         *********************** */
/* ********************************************************************** */

__ICLASS __BGN
  __NAME "TOP_BAR"
  __NORMAL "pix/borders/normal/box.png"
  __EDGE_SCALING 2 2 2 2
  __NORMAL_ACTIVE "pix/borders/active/box.png"
  __EDGE_SCALING 2 2 2 2
__END

__ICLASS __BGN
  __NAME "TITLE_BAR"
  __NORMAL "pix/borders/normal/title_box.png"
  __EDGE_SCALING 0 0 2 2
  __NORMAL_ACTIVE "pix/borders/active/title_box.png"
  __EDGE_SCALING 0 0 2 2
  __PADDING 2 2 4 4
__END

__ICLASS __BGN
  __NAME "BORDER_SIDE_RIGHT"
  __NORMAL "pix/borders/normal/side_right.png"
  __EDGE_SCALING 2 2 1 2
  __NORMAL_ACTIVE "pix/borders/active/side_right.png"
  __EDGE_SCALING 2 2 1 2
__END

__ICLASS __BGN
  __NAME "BORDER_SIDE_LEFT"
  __NORMAL "pix/borders/normal/side_left.png"
  __EDGE_SCALING 2 2 1 2
  __NORMAL_ACTIVE "pix/borders/active/side_left.png"
  __EDGE_SCALING 2 2 1 2
__END

__ICLASS __BGN
  __NAME "BOTTOM_BAR"
  __NORMAL "pix/borders/normal/box.png"
  __EDGE_SCALING 2 2 2 2
  __NORMAL_ACTIVE "pix/borders/active/box.png"
  __EDGE_SCALING 2 2 2 2
  __PADDING 2 2 4 4
__END

__ICLASS __BGN
  __NAME "BOTTOM_LEFT_CORNER"
  __NORMAL "pix/borders/normal/bottom_left.png"
  __NORMAL_ACTIVE "pix/borders/active/bottom_left.png"
__END

__ICLASS __BGN
  __NAME "BOTTOM_RIGHT_CORNER"
  __NORMAL "pix/borders/normal/bottom_right.png"
  __NORMAL_ACTIVE "pix/borders/active/bottom_right.png"
__END


/* ********************************************************************** */
/* *************************** transient stuff  ************************* */
/* ********************************************************************** */

__ICLASS __BGN
  __NAME "TITLE_BAR_TRANSIENT"
  __NORMAL "pix/borders/normal/title_box.png"
  __EDGE_SCALING 0 0 2 2
  __NORMAL_ACTIVE "pix/borders/active/title_box.png"
  __EDGE_SCALING 0 0 2 2
  __PADDING 2 2 1 1
__END

/* ********************************************************************** */
/* ***************************    window buttons  *********************** */
/* ********************************************************************** */

__ICLASS __BGN
  __NAME "ICON_BUTTON"
  __NORMAL         "pix/misc/thick_yellow_box.png"
  __EDGE_SCALING 2 2 2 2
  __CLICKED        "pix/misc/thick_yellow_box.png"
  __EDGE_SCALING 2 2 2 2
  __NORMAL_ACTIVE  "pix/misc/thick_yellow_box.png"
  __EDGE_SCALING 2 2 2 2
  __HILITED_ACTIVE  "pix/misc/thick_brightyellow_box.png"
  __EDGE_SCALING 2 2 2 2
  __CLICKED_ACTIVE "pix/misc/thick_yellow_box.png"
  __EDGE_SCALING 2 2 2 2
__END


__ICLASS __BGN
  __NAME "MAX_BUTTON"
  __NORMAL         "pix/misc/thick_blue_box.png"
  __EDGE_SCALING 2 2 2 2
  __CLICKED        "pix/misc/thick_blue_box.png"
  __EDGE_SCALING 2 2 2 2
  __NORMAL_ACTIVE  "pix/misc/thick_blue_box.png"
  __EDGE_SCALING 2 2 2 2
  __HILITED_ACTIVE  "pix/misc/thick_lightblue_box.png"
  __EDGE_SCALING 2 2 2 2
  __CLICKED_ACTIVE "pix/misc/thick_blue_box.png"
  __EDGE_SCALING 2 2 2 2
__END

__ICLASS __BGN
  __NAME "CLOSE_BUTTON"
  __NORMAL         "pix/misc/thick_red_box.png"
  __EDGE_SCALING 2 2 2 2
  __CLICKED        "pix/misc/thick_red_box.png"
  __EDGE_SCALING 2 2 2 2
  __NORMAL_ACTIVE  "pix/misc/thick_red_box.png"
  __EDGE_SCALING 2 2 2 2
  __HILITED_ACTIVE  "pix/misc/thick_brightred_box.png"
  __EDGE_SCALING 2 2 2 2
  __CLICKED_ACTIVE "pix/misc/thick_red_box.png"
  __EDGE_SCALING 2 2 2 2
__END


/* ************************************************** */
/* **************** menu image classes ************** */
/* ************************************************** */

__ICLASS __BGN
  __NAME M1
  __NORMAL         "pix/borders/normal/box.png"
  __EDGE_SCALING   2 2 2 2
  __PADDING        4 4 3 3
__END

__ICLASS __BGN 
  __NAME M2
  __NORMAL         "pix/menu/menu.png"
  __EDGE_SCALING   0 0 0 0
  __PADDING        2 2 2 2
  __HILITED        "pix/misc/thin_lightgreen_box.png"
  __EDGE_SCALING   1 1 1 1
  __PADDING        2 2 2 2
  __CLICKED        "pix/misc/thin_lightgreen_box.png"
  __EDGE_SCALING   1 1 1 1
  __PADDING        2 2 2 2
__END

__ICLASS __BGN
  __NAME M3
  __NORMAL         "pix/menu/menu_more.png"
  __EDGE_SCALING   2 20 2 2
  __PADDING        2 20 2 2
  __HILITED        "pix/menu/menu_more_up.png"
  __EDGE_SCALING   2 20 2 2
  __CLICKED        "pix/menu/menu_more_up.png"
  __EDGE_SCALING   2 20 2 2
__END

/* ************************************************** */
/* *********** misc classes and widgets ************* */
/* ************************************************** */

/* *********** the movement-ccordinate box ************* */

__ICLASS __BGN
  __NAME COORDS
  __NORMAL "pix/misc/thin_orange_box.png"
  __EDGE_SCALING 1 1 1 1
  __PADDING 4 4 4 4
__END


/* ******* the box in the active desktop within the pager ******** */

__ICLASS __BGN
  __NAME PAGER_SEL
  __NORMAL         "pix/misc/bordered_transparent.png"
  __EDGE_SCALING   2 2 2 2
__END


__ICLASS __BGN
  __NAME BLANK
  __NORMAL "pix/misc/bit.png"
__END

__ICLASS __BGN
  __NAME DEFAULT_ICON_BUTTON
  __NORMAL         "pix/icons/generic_icon.png"
__END

__ICLASS __BGN
  __NAME DEFAULT_TOOLTIP_MAIN
  __NORMAL         "pix/misc/thin_orange_box.png"
  __EDGE_SCALING   1 1 1 1
  __PADDING        4 4 4 4
__END

__ICLASS __BGN
  __NAME "DIALOG_BUTTON"
  __NORMAL         "pix/misc/thin_yellow_box.png"
  __EDGE_SCALING   1 1 1 1
  __PADDING        5 5 5 5
  __HILITED        "pix/misc/thin_lightgreen_box.png"
  __EDGE_SCALING   1 1 1 1
  __PADDING        5 5 5 5
  __CLICKED        "pix/misc/thin_darkgreen_box.png"
  __EDGE_SCALING   1 1 1 1
  __PADDING        5 5 5 5
__END


__ICLASS __BGN
  __NAME "DIALOG_WIDGET_BUTTON"
  __NORMAL         "pix/misc/thin_yellow_box.png"
  __EDGE_SCALING   1 1 1 1
  __PADDING        5 5 5 5
  __HILITED        "pix/misc/thin_lightgreen_box.png"
  __EDGE_SCALING   1 1 1 1
  __PADDING        5 5 5 5
  __CLICKED        "pix/misc/thin_darkgreen_box.png"
  __EDGE_SCALING   1 1 1 1
  __PADDING        5 5 5 5
__END


__ICLASS __BGN
  __NAME DIALOG_WIDGET_CHECK_BUTTON
  __NORMAL         "pix/misc/yellow_widget_box.png"
  __EDGE_SCALING   1 1 1 1
  __NORMAL_ACTIVE  "pix/misc/yellow_widget_box_x.png"
  __EDGE_SCALING   1 1 1 1
__END


__ICLASS __BGN
  __NAME DIALOG_WIDGET_RADIO_BUTTON
  __NORMAL         "pix/misc/thin_yellow_box.png"
  __EDGE_SCALING   1 1 1 1
  __NORMAL_ACTIVE  "pix/misc/thin_darkgreen_box.png"
  __EDGE_SCALING   1 1 1 1
__END

__ICLASS __BGN
  __NAME DIALOG_WIDGET_SEPARATOR
  __NORMAL        "pix/misc/thin_lightgreen_box.png"
  __EDGE_SCALING   1 1 1 1
  __CLICKED       "pix/misc/thin_lightgreen_box.png"
  __EDGE_SCALING   1 1 1 1
  __PADDING        1 1 1 1
__END

__ICLASS __BGN
  __NAME DIALOG_WIDGET_TABLE
  __NORMAL        "pix/misc/bordered_transparent.png"
  __EDGE_SCALING   1 1 1 1
  __PADDING        4 4 4 4
__END

__ICLASS __BGN
  __NAME DIALOG_WIDGET_SLIDER_BASE_HORIZONTAL
  __NORMAL        "pix/misc/yellow_widget_box.png"
  __EDGE_SCALING   1 1 1 1
__END

__ICLASS __BGN
  __NAME DIALOG_WIDGET_SLIDER_KNOB_HORIZONTAL
  __NORMAL       "pix/misc/lightgreen_widget_slider_knob.png"
  __EDGE_SCALING   1 1 1 1 
__END

__ICLASS __BGN
  __NAME DIALOG_WIDGET_SLIDER_BASE_VERTICAL
  __NORMAL        "pix/misc/yellow_widget_box.png"
  __EDGE_SCALING   1 1 1 1
__END

__ICLASS __BGN
  __NAME DIALOG_WIDGET_SLIDER_KNOB_VERTICAL
  __NORMAL       "pix/misc/lightgreen_widget_slider_knob.png"
  __EDGE_SCALING   1 1 1 1
__END

__ICLASS __BGN
  __NAME DIALOG_WIDGET_AREA
  __NORMAL       "pix/borders/normal/box.png"
  __PADDING       2 2 2 2
__END

__ICLASS __BGN
  __NAME SETTINGS_DESKTOP_AREA
  __NORMAL   "pix/misc/plain.png"
  __FILLRULE  __TILE
  __PADDING   4 4 4 4
__END

__ICLASS __BGN
  __NAME SETTINGS_AREA_AREA
  __NORMAL   "pix/borders/normal/box.png"
  __EDGE_SCALING  2 2 2 2	
__END

__ICLASS __BGN
  __NAME SETTINGS_AREADESK_AREA
  __NORMAL       "pix/borders/active/box.png"
  __EDGE_SCALING  2 2 2 2
  __PADDING       4 4 4 4
__END


/* ************************************************** */
/* **************** the app buttons ***************** */
/* ************************************************** */

__ICLASS __BGN
  __NAME BUTTON_TERMINAL
  __NORMAL  "pix/buttons/terminal.png"
  __HILITED "pix/buttons/terminal_bright.png"
__END

__ICLASS __BGN
  __NAME BUTTON_EDITOR
  __NORMAL  "pix/buttons/editor.png"
  __HILITED "pix/buttons/editor_bright.png"
__END

__ICLASS __BGN
  __NAME BUTTON_BROWSER
  __NORMAL  "pix/buttons/browser.png"
  __HILITED "pix/buttons/browser_bright.png"
__END


/* ************************************************** */
/* *************** the iconbox stuff **************** */
/* ************************************************** */

__ICLASS __BGN
  __NAME ICONBOX_SCROLLBAR_BASE_HORIZONTAL
  __NORMAL "pix/misc/down.png"
  __EDGE_SCALING   1 1 1 1
__END

__ICLASS __BGN
  __NAME ICONBOX_SCROLLBAR_KNOB_HORIZONTAL
  __NORMAL "pix/misc/up.png"
  __EDGE_SCALING   1 1 1 1
__END

__ICLASS __BGN
  __NAME ICONBOX_SCROLLBAR_BASE_VERTICAL
  __NORMAL "pix/misc/down.png"
  __EDGE_SCALING   1 1 1 1
__END

__ICLASS __BGN
  __NAME ICONBOX_SCROLLBAR_KNOB_VERTICAL
  __NORMAL "pix/misc/up.png"
  __EDGE_SCALING   1 1 1 1
__END

__ICLASS __BGN
  __NAME ICONBOX_HORIZONTAL
  __NORMAL "pix/iconbox/slider.png"
  __EDGE_SCALING   1 1 1 1
__END

__ICLASS __BGN
  __NAME ICONBOX_VERTICAL
  __NORMAL "pix/borders/active/box.png"
  __EDGE_SCALING   2 2 2 2
__END

__ICLASS __BGN
  __NAME ICONBOX_ARROW_LEFT
  __NORMAL "pix/iconbox/arrow_left_raised.png"
  __EDGE_SCALING   1 1 1 1
  __CLICKED "pix/iconbox/arrow_left_depressed.png"
  __EDGE_SCALING   1 1 1 1
__END

__ICLASS __BGN
  __NAME ICONBOX_ARROW_RIGHT
  __NORMAL "pix/iconbox/arrow_right_raised.png"
  __EDGE_SCALING   1 1 1 1
  __CLICKED "pix/iconbox/arrow_right_depressed.png"
  __EDGE_SCALING   1 1 1 1
__END

__ICLASS __BGN
  __NAME ICONBOX_ARROW_UP
  __NORMAL "pix/iconbox/arrow_up_raised.png"
  __EDGE_SCALING   1 1 1 1
  __CLICKED "pix/iconbox/arrow_up_depressed.png"
  __EDGE_SCALING   1 1 1 1
__END

__ICLASS __BGN
  __NAME ICONBOX_ARROW_DOWN
  __NORMAL "pix/iconbox/arrow_down_raised.png"
  __EDGE_SCALING   1 1 1 1
  __CLICKED "pix/iconbox/arrow_down_depressed.png"
  __EDGE_SCALING   1 1 1 1
__END

